org.openmuc.openiec61850

## Class Brcb

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.FcDataObject
      - - org.openmuc.openiec61850.Rcb
        - - org.openmuc.openiec61850.Brcb

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public class Brcb
    extends Rcb

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`Brcb(ObjectReference objectReference, java.util.List<FcModelNode> children)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FcDataObject` `copy()` Returns a copy of model node with all of its children.
`BdaOctetString` `getEntryId()`
`BdaBoolean` `getPurgeBuf()`
`BdaInt16` `getResvTms()` Gets the ResvTms attribute.
`BdaEntryTime` `getTimeOfEntry()`

### Methods inherited from class org.openmuc.openiec61850.Rcb

`getBufTm, getConfRev, getDatSet, getIntgPd, getOptFlds, getRptEna, getRptId, getSqNum, getTrgOps`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc, toString`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getBasicDataAttributes, getChild, getChild, getChildren, getIterators, getName, getParent, getReference, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Brcb

    public Brcb(ObjectReference objectReference,
                java.util.List<FcModelNode> children)

### Method Detail

#### getPurgeBuf

    public BdaBoolean getPurgeBuf()

#### getEntryId

    public BdaOctetString getEntryId()

#### getTimeOfEntry

    public BdaEntryTime getTimeOfEntry()

#### getResvTms

    public BdaInt16 getResvTms()

Gets the ResvTms attribute. This attribute is optional. Will return NULL if the attribute is not available.

Returns:
  the ResvTms attribute, null if not available.

#### copy

    public FcDataObject copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Overrides:
  `copy` in class `FcDataObject`
Returns:
  a copy of model node with all of its children.